# Module `CheckboxGroup`

Checkbox group module

Example Link

## Functions

get_state(self) | Return checkbox group state
init(self, nodes, callback, click_nodes) | The CheckboxGroup constructor
set_state(self, indexes, is_instant) | Set checkbox group state

## Fields

checkboxes | Array of checkbox components
on_checkbox_click | On any checkbox click callback(self, index)

## Functions

get_state(self)
  Return checkbox group state

  ### Parameters:

  - self CheckboxGroup CheckboxGroup

  ### Returns:

  boolean[] Array if checkboxes state
init(self, nodes, callback, click_nodes)
  The CheckboxGroup constructor

  ### Parameters:

  - self CheckboxGroup CheckboxGroup
  - nodes node[] Array of gui node
  - callback function Checkbox callback
  - click_nodes node[] or nil Array of trigger nodes, by default equals to nodes
set_state(self, indexes, is_instant)
  Set checkbox group state

  ### Parameters:

  - self CheckboxGroup CheckboxGroup
  - indexes boolean[] Array of checkbox state
  - is_instant boolean or nil If instant state change

## Fields

checkboxes
  Array of checkbox components
  - checkboxes table Checkbox
on_checkbox_click
  On any checkbox click callback(self, index)
  - on_checkbox_click DruidEvent DruidEvent

generated by LDoc TESTING Last updated 2015-01-01 12:00:00